Subject: Re: bug#25390: Segfault with sed 4.3

From: Paul Eggert <[email-masked]>
Date: Sun, 8 Jan 2017 22:12:02 -0800

Norihiro Tanaka wrote:
> I wrote two additional patches for dfa.  First, derive number of
> allocation from not argument but number of state in transition table
> allocation.  Second, melt down dfastate() into build_state().  Now, I
> think that there do not have to be separated.

Thanks, I installed those two patches into Gnulib.

> I also wrote a simple test, but the issue are not always caused, as it
> depends on state of memory.  Should we rely to complate the test on
> valgrind?

Yes, I expect the 'sed' folks would prefer the test to use valgrind. You can 
look at testsuite/invalid-mb-seq-UMR.sh for an example of a test that does that.